<?php
 
 
 

namespace PhpWA\Protocol\Proto\SyncActionValue;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class PrivateProcessingSettingAction extends \Google\Protobuf\Internal\Message
{
    


    protected $privateProcessingStatus = null;

    








    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getPrivateProcessingStatus()
    {
        return isset($this->privateProcessingStatus) ? $this->privateProcessingStatus : 0;
    }

    public function hasPrivateProcessingStatus()
    {
        return isset($this->privateProcessingStatus);
    }

    public function clearPrivateProcessingStatus()
    {
        unset($this->privateProcessingStatus);
    }

    




    public function setPrivateProcessingStatus($var)
    {
        GPBUtil::checkEnum($var, \PhpWA\Protocol\Proto\SyncActionValue\PrivateProcessingSettingAction\PrivateProcessingStatus::class);
        $this->privateProcessingStatus = $var;

        return $this;
    }

}

